using System;
using System.Windows.Forms;
using System.Drawing;
using System.Windows.Controls;
namespace Main
{
    public partial class TMainForm : Form
    {
        public TMainForm()
        {
            InitializeComponent();
        }
        
       public void FileExitItemClick(System.Object Sender, System.EventArgs _e1)
        {
            this.Close();
        }

        public void FormCreate(System.Object Sender, System.EventArgs _e1)
        {
            Chart1.Aspect.View3D = false;
            Chart1.Walls.View3D = false;           
            Chart1.Panel.Gradient.Visible = false;
            Chart1.Panel.Color = System.Drawing.SystemColors.ButtonFace;
            Chart1.Header.Text.Remove(0);            
            Chart1.Header.Text.Insert(0, "");         
            this.Show();
            PlotData();
        }

        public void PlotData()
        {
            while (true)
            {
                Random abc = new Random();
                Series1.Add(abc.NextDouble(), "", Color.Blue);
                Series1.RefreshSeries();
                Series1.Repaint();
                Chart1.Refresh();
                Application.DoEvents();
            }
        }       
    }
}