using System.Windows.Forms;
using System.Drawing;
using System.Drawing.Printing;
using Steema.TeeChart.Styles;
using Steema.TeeChart;
using System.IO;
using Steema.TeeChart.Drawing.Direct2D;
using System.Reflection;
using Panel = System.Windows.Forms.Panel;

namespace Main
{
    partial class TMainForm : Form
    {
		private System.ComponentModel.IContainer components = null;
        public Steema.TeeChart.TChart Chart1;       
        public FastLine Series1;
        public System.Windows.Forms.ColorDialog ColorDialog1;
            
    	protected override void Dispose(bool disposing) {
			if(disposing)
			{
					if(components != null)
					{
							components.Dispose();
                            Chart1.Graphics3D.Dispose();
                           
					}
			}
			base.Dispose(disposing);
		}

		private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TMainForm));
            this.Chart1 = new Steema.TeeChart.TChart();
            this.Series1 = new Steema.TeeChart.Styles.FastLine();
            this.ColorDialog1 = new System.Windows.Forms.ColorDialog();
            this.SuspendLayout();
            // 
            // Chart1
            // 
            // 
            // 
            // 
            this.Chart1.Aspect.SmoothingMode = System.Drawing.Drawing2D.SmoothingMode.HighSpeed;
            this.Chart1.Aspect.TextRenderingHint = System.Drawing.Text.TextRenderingHint.SingleBitPerPixel;
            this.Chart1.Aspect.View3D = false;
            // 
            // 
            // 
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Axes.Bottom.AxisPen.UseStyling = false;
            // 
            // 
            // 
            this.Chart1.Axes.Bottom.Grid.DrawEvery = 100;
            this.Chart1.Axes.Bottom.Grid.UseStyling = false;
            this.Chart1.Axes.Bottom.Increment = 100D;
            this.Chart1.Axes.Bottom.IncrementOffset = 100D;
            // 
            // 
            // 
            this.Chart1.Axes.Bottom.Labels.RoundFirstLabel = false;
            this.Chart1.Axes.Bottom.MinorTickCount = 1;
            // 
            // 
            // 
            this.Chart1.Axes.Bottom.MinorTicks.Length = 5;
            // 
            // 
            // 
            this.Chart1.Axes.Depth.LabelsAsSeriesTitles = true;
            // 
            // 
            // 
            this.Chart1.Axes.DepthTop.LabelsAsSeriesTitles = true;
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Axes.Left.AxisPen.UseStyling = false;
            // 
            // 
            // 
            this.Chart1.Axes.Left.Grid.UseStyling = false;
            this.Chart1.Axes.Left.MaximumRound = true;
            this.Chart1.Axes.Left.MinimumRound = true;
            this.Chart1.Dock = System.Windows.Forms.DockStyle.Fill;
            // 
            // 
            // 
            Chart1.Graphics3D = new Graphics3DDirect2D(Chart1.Chart);
            this.Chart1.Legend.Visible = false;
            this.Chart1.Location = new System.Drawing.Point(0, 0);
            this.Chart1.Name = "Chart1";
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Panel.Bevel.Outer = Steema.TeeChart.Drawing.BevelStyles.None;
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Panel.Brush.Gradient.Visible = false;
            // 
            // 
            // 
            this.Chart1.Panel.Pen.UseStyling = false;
            this.Chart1.Series.Add(this.Series1);
            this.Chart1.Size = new System.Drawing.Size(799, 472);
            this.Chart1.TabIndex = 0;
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Walls.Back.Visible = false;
            // 
            // 
            // 
            // 
            // 
            // 
            this.Chart1.Walls.Left.Brush.Color = System.Drawing.Color.Aqua;
            // 
            // Series1
            // 
            this.Series1.AutoRepaint = false;
            this.Series1.Color = System.Drawing.Color.Blue;
            this.Series1.ColorEach = false;
            this.Series1.ColorMember = "Colors";
            this.Series1.Colors = ((Steema.TeeChart.Styles.ColorList)(resources.GetObject("Series1.Colors")));
            // 
            // 
            // 
            this.Series1.LinePen.Color = System.Drawing.Color.Blue;
            this.Series1.LinePen.Width = 2;
            this.Series1.Title = "Actual";
            this.Series1.TreatNulls = Steema.TeeChart.Styles.TreatNullsStyle.Ignore;
            // 
            // 
            // 
            this.Series1.XValues.DataMember = "X";
            // 
            // 
            // 
            this.Series1.YValues.DataMember = "Y";
            // 
            // TMainForm
            // 
            this.AutoScroll = true;
            this.BackColor = System.Drawing.SystemColors.AppWorkspace;
            this.ClientSize = new System.Drawing.Size(799, 472);
            this.Controls.Add(this.Chart1);
            this.Font = new System.Drawing.Font("Microsoft Sans Serif", 8F);
            this.Name = "TMainForm";
            this.Load += new System.EventHandler(this.FormCreate);
            this.ResumeLayout(false);

        }        
	}
}
